kde-spectacle (4:6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 06:30:49 +0100

kde-spectacle (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:59 +0100

kde-spectacle (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:28 +0100

kde-spectacle (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:37:27 +0100

kde-spectacle (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:59:57 +0100

kde-spectacle (4:6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:53 -0500

kde-spectacle (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:26:47 +0000

kde-spectacle (4:6.3.2.1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 15:15:42 +0000

kde-spectacle (4:6.3.2.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1.2).
  * New upstream release (6.3.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:25 +0100

kde-spectacle (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:58 +0100

kde-spectacle (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:53:15 +0100

kde-spectacle (4:6.2.90-1) experimental; urgency=medium

  * Update watch file now that Spectacle is part of the Plasma release
    train.
  * Update upstream signing key to match other Plasma packages.
  * New upstream release (6.2.90).
  * Bump epoch to account for versioning scheme change.
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:46:30 +0100

kde-spectacle (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 22:00:52 +0100

kde-spectacle (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 22:12:00 +0100

kde-spectacle (24.08.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Use dh_qmldeps to detect QML dependencies.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Nov 2024 08:18:20 +0100

kde-spectacle (24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 15:25:57 +0200

kde-spectacle (24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2). (Closes: #1067060, #1030396)
  * Update build-deps and deps with info from cmake.
  * pkg-config -> pkgconf.
  * Use dh-sequence-kf6.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update copyright info.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Aug 2024 22:20:11 +0200

kde-spectacle (23.08.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Update B-Ds for kcolorpicker and kimageannotator to the new explicit
    Qt 5 packages (Closes: #1070638).

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 May 2024 12:45:49 +0200

kde-spectacle (23.08.5-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.5).
  * Add runtime dependency on qml-module-qtquick-shapes. (Closes:
    #1050313)
  * Update build-deps with info from cmake.
  * Build depend on pkgconf instead of transitional pkg-config.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Apr 2024 20:55:25 +0200

kde-spectacle (23.04.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Jun 2023 21:03:55 +0200

kde-spectacle (23.04.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.104.0
    - add libkpipewire-dev, and libpipewire-0.3-dev
    - explicitly add libqt5waylandclient5-dev, libwayland-dev,
      plasma-wayland-protocols, qtbase5-private-dev, and qtwayland5-dev-tools
    - drop no more needed/used: libkf5declarative-dev, libkf5kipi-dev,
      libkf5newstuff-dev, libkf5screen-dev, and libkf5wayland-dev
  * Update the patches:
    - fix-%t-pattern-in-fullscreen-captures: drop, no more needed

 -- Pino Toscano <pino@debian.org>  Sat, 17 Jun 2023 08:23:18 +0200

kde-spectacle (23.03.70~git20230104.712cb8f1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (23.03.70~git20230104.712cb8f1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jan 2023 23:22:22 +0100

kde-spectacle (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:27 +0100

kde-spectacle (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 10:36:35 +0100

kde-spectacle (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:07:25 +0100

kde-spectacle (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:49 +0100

kde-spectacle (22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Sep 2022 18:41:01 +0200

kde-spectacle (22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 May 2022 23:17:50 +0200

kde-spectacle (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Mar 2022 21:53:51 +0100

kde-spectacle (21.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.2).
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Mar 2022 23:18:19 +0100

kde-spectacle (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 14:55:25 +0900

kde-spectacle (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:10:30 +0900

kde-spectacle (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:07:31 +0900

kde-spectacle (21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:31:49 +0900

kde-spectacle (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Drop Max from uploaders, thanks for your work.
  * Add myself to uploaders.
  * Bump deps according to cmake.

 -- Norbert Preining <norbert@preining.info>  Sat, 24 Apr 2021 21:29:58 +0900

kde-spectacle (20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Mar 2021 23:27:00 +0100

kde-spectacle (20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 15:10:12 +0100

kde-spectacle (20.12.1-1) unstable; urgency=medium

  * New upstream release (20.12.1).
  * Reenable the kimageannotator features now that kimageannotator has a
    proper SONAME management (see #977649).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 23:13:52 +0100

kde-spectacle (20.12.0-2) unstable; urgency=medium

  * Team upload.
  * Disable the kimageannotator features, as kimageannotator does not have
    a proper SONAME and Debian package (see #977649):
    - comment out the libkcolorpicker-dev, and libkimageannotator-dev build
      dependencies
  * Do not create a temporary HOME directory for dh_auto_test, as debhelper
    does that already in compatibility version 13.
  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Pino Toscano <pino@debian.org>  Thu, 24 Dec 2020 00:03:42 +0100

kde-spectacle (20.12.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch the transitional libxcb-util0-dev build dependency to
    libxcb-util-dev.
  * Bump Standards-Version to 4.5.1, no changes required.

  [ Aurélien COUDERC ]
  * New upstream release (20.12.0).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.73.0
    - add libqt5svg5-dev
    - add libkcolorpicker-dev and libkimageannotator-dev
  * Update project homepage.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Dec 2020 19:45:15 +0100

kde-spectacle (20.08.3-1) unstable; urgency=medium

  * New upstream release (20.08.3).
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Nov 2020 00:00:39 +0100

kde-spectacle (20.08.2-1) unstable; urgency=medium

  * New upstream release (20.08.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Oct 2020 11:27:34 +0100

kde-spectacle (20.08.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (20.08.0).
  * Add myself to the uploaders.
  * Remove now useless lintian override.
  * Add Source: URL to copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 14 Aug 2020 01:05:34 +0200

kde-spectacle (20.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (20.04.1).
  * Refresh copyright information.
  * Remove explicit --as-needed from linker flags, it’s now injected by
    default.
  * Bump debhelper compat level to 13.
  * Refresh lintian override for desktop file using qdbus not shipped by the
    package.
  * Actually add qdbus-qt5 to dependencies and not build-deps (thanks to
    Alexander Volkov for noticing).
  * Add bug submission URL to upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 05 Jun 2020 17:42:52 +0200

kde-spectacle (19.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream point release (19.12.3).
  * Drop upstream_tests-make-sure-testNumbering-works.patch applied upstream.
  * Add patch to fix %T filename pattern in fullscreen captures.
    (Closes: #953536)
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.
  * Borrow minimal upstream signing key from k3b.
  * Review copyright information.
  * Add qdbus-qt5 to dependencies as the desktop files uses it to start
    spectacle.
  * Add lintian override for desktop file using qdbus binary not shipped by
    spectacle now we explicitely depend on qdbus-qt5.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 10 Mar 2020 15:32:40 +0100

kde-spectacle (19.12.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 655a5a536d98fc997445f9bcda1157aa3f50bf8d to fix
    filename_test; patch upstream_tests-make-sure-testNumbering-works.patch.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Jan 2020 23:36:46 +0100

kde-spectacle (19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.56.0
    - add libkf5wayland-dev
    - explicitly add gettext
  * Stop passing --destdir to dh_auto_install, as there is only one binary now.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - call the right debhelper command instead of $(overridden_command)
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.
  * Small copyright update.
  * Drop the compatibility ksnapshot forward script, not needed anymore after
    two Debian stable releases.
  * Do not mention KSnapshot in the short description anymore.
  * Use $(CURDIR) instead of $(pwd) in rules.
  * Enable all the reprotest variations in the salsa CI.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Jan 2020 08:11:20 +0100

kde-spectacle (19.08.1-1) unstable; urgency=medium

  * New revision
  * Drop the transitional package ksnapshot (Closes: 939245)
  * New upstream release (19.08.1).
  * Update build-deps and deps with the info from cmake
  * Add a salsa-ci script
  * Bump Standards-Version to 4.4.0.
  * Bump debhelper build-dep and compat to 12.
  * Also drop the gencontrol override for ksnapshot
  * Create a home for the tests
  * Drop kde-l10n and ksnapshot breaks/replaces, fixed versions already in stable
  * Build with hardening bindnow
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Sep 2019 16:29:44 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kde-spectacle`.
